Index: setup.py
===================================================================
--- setup.py	(revision e2271c590a75c4a37335432df42e8a22964c061f)
+++ setup.py	(revision b8a8e4e983fdaf932bc8c355fc18731031e85366)
@@ -108,41 +108,41 @@
 
 # sans.invariant
-package_dir["sans.invariant"] = "sansinvariant/src/sans/invariant"
-packages.extend(["sans.invariant"])
+#package_dir["sans.invariant"] = "sansinvariant/src/sans/invariant"
+#packages.extend(["sans.invariant"])
 
 # sans.guiframe
-guiframe_path = os.path.join("sansguiframe", "src", "sans", "guiframe")
-package_dir["sans.guiframe"] = guiframe_path
-package_dir["sans.guiframe.local_perspectives"] = os.path.join(guiframe_path, 
-                                                        "local_perspectives")
-package_data["sans.guiframe"] = ['images/*', 'media/*']
-packages.extend(["sans.guiframe", "sans.guiframe.local_perspectives"])
+#guiframe_path = os.path.join("sansguiframe", "src", "sans", "guiframe")
+#package_dir["sans.guiframe"] = guiframe_path
+#package_dir["sans.guiframe.local_perspectives"] = os.path.join(guiframe_path, 
+#                                                        "local_perspectives")
+#package_data["sans.guiframe"] = ['images/*', 'media/*']
+#packages.extend(["sans.guiframe", "sans.guiframe.local_perspectives"])
 # build local plugin
-for dir in os.listdir(os.path.join(guiframe_path, "local_perspectives")):
-    if dir not in ['.svn','__init__.py', '__init__.pyc']:
-        package_name = "sans.guiframe.local_perspectives." + dir
-        packages.append(package_name)
-        package_dir[package_name] = os.path.join(guiframe_path, 
-                                                 "local_perspectives", dir)
+#for dir in os.listdir(os.path.join(guiframe_path, "local_perspectives")):
+#    if dir not in ['.svn','__init__.py', '__init__.pyc']:
+#        package_name = "sans.guiframe.local_perspectives." + dir
+#        packages.append(package_name)
+#        package_dir[package_name] = os.path.join(guiframe_path, 
+#                                                 "local_perspectives", dir)
 
 # sans.dataloader
-package_dir["sans.dataloader"] = os.path.join("sansdataloader", 
-                                              "src", "sans", "dataloader")
-package_data["sans.dataloader.readers"] = ['defaults.xml']
-packages.extend(["sans.dataloader","sans.dataloader.readers"])
+#package_dir["sans.dataloader"] = os.path.join("sansdataloader", 
+#                                              "src", "sans", "dataloader")
+#package_data["sans.dataloader.readers"] = ['defaults.xml']
+#packages.extend(["sans.dataloader","sans.dataloader.readers"])
 
 # sans.calculator
-package_dir["sans.calculator"] = "sanscalculator/src/sans/calculator"
-packages.extend(["sans.calculator"])
+#package_dir["sans.calculator"] = "sanscalculator/src/sans/calculator"
+#packages.extend(["sans.calculator"])
     
 # sans.pr
 numpy_incl_path = os.path.join(NUMPY_INC, "numpy")
-srcdir  = os.path.join("pr_inversion", "src", "sans", "pr", "c_extensions")
-
-
-    
-package_dir["sans.pr.core"] = srcdir
-package_dir["sans.pr"] = os.path.join("pr_inversion", "src","sans", "pr")
-packages.extend(["sans.pr","sans.pr.core"])
+srcdir  = os.path.join("src", "sans", "pr", "c_extensions")
+
+
+    
+#package_dir["sans.pr.core"] = srcdir
+#package_dir["sans.pr"] = os.path.join("pr_inversion", "src","sans", "pr")
+#packages.extend(["sans.pr","sans.pr.core"])
 ext_modules.append( Extension("sans.pr.core.pr_inversion",
                               sources = [ os.path.join(srcdir, "Cinvertor.c"),
@@ -153,51 +153,49 @@
         
 # sans.fit (park integration)
-package_dir["sans.fit"] = "park_integration/src/sans/fit"
-packages.append("sans.fit")
+#package_dir["sans.fit"] = "park_integration/src/sans/fit"
+#packages.append("sans.fit")
 
 # inversion view
-package_dir["sans.perspectives"] = "inversionview/src/sans/perspectives"
-package_dir["sans.perspectives.pr"] = "inversionview/src/sans/perspectives/pr"
-packages.extend(["sans.perspectives","sans.perspectives.pr"])
-package_data["sans.perspectives.pr"] = ['images/*']
+#package_dir["sans.perspectives"] = "inversionview/src/sans/perspectives"
+#package_dir["sans.perspectives.pr"] = "inversionview/src/sans/perspectives/pr"
+#packages.extend(["sans.perspectives","sans.perspectives.pr"])
+#package_data["sans.perspectives.pr"] = ['images/*']
 
 # Invariant view
-package_dir["sans.perspectives"] = os.path.join("invariantview", "src", 
-                                                "sans", "perspectives")
-package_dir["sans.perspectives.invariant"] = os.path.join("invariantview", 
-                                    "src", "sans", "perspectives", "invariant")
+#package_dir["sans.perspectives"] = os.path.join("invariantview", "src", 
+#                                                "sans", "perspectives")
+#package_dir["sans.perspectives.invariant"] = os.path.join("invariantview", 
+#                                    "src", "sans", "perspectives", "invariant")
                 
-package_data['sans.perspectives.invariant'] = [os.path.join("media",'*')]
-packages.extend(["sans.perspectives","sans.perspectives.invariant"]) 
+#package_data['sans.perspectives.invariant'] = [os.path.join("media",'*')]
+#packages.extend(["sans.perspectives","sans.perspectives.invariant"]) 
 
 # Fitting view
-fitting_path = os.path.join("fittingview", "src", "sans", 
-                            "perspectives", "fitting")
-package_dir["sans.perspectives"] = os.path.join("fittingview", 
-                                            "src", "sans", "perspectives"),
-package_dir["sans.perspectives.fitting"] = fitting_path
-package_dir["sans.perspectives.fitting.plugin_models"] = \
-                                os.path.join(fitting_path, "plugin_models")
+#fitting_path = os.path.join("fittingview", "src", "sans", 
+#                            "perspectives", "fitting")
+#package_dir["sans.perspectives"] = os.path.join("fittingview", 
+#                                            "src", "sans", "perspectives"),
+#package_dir["sans.perspectives.fitting"] = fitting_path
+#package_dir["sans.perspectives.fitting.plugin_models"] = \
+#                                os.path.join(fitting_path, "plugin_models")
 package_data['sans.perspectives.fitting'] = ['media/*','plugin_models/*']
-packages.extend(["sans.perspectives", "sans.perspectives.fitting", 
-                 "sans.perspectives.fitting.plugin_models"])
+#packages.extend(["sans.perspectives", "sans.perspectives.fitting", 
+#                 "sans.perspectives.fitting.plugin_models"])
 
 # Calculator view
-package_dir["sans.perspectives"] = "calculatorview/src/sans/perspectives"
-package_dir["sans.perspectives.calculator"] = os.path.join("calculatorview", 
-                                "src", "sans", "perspectives", "calculator")
-package_data['sans.perspectives.calculator'] = ['images/*', 'media/*']
-packages.extend(["sans.perspectives", "sans.perspectives.calculator"])    
+#package_dir["sans.perspectives"] = "calculatorview/src/sans/perspectives"
+#package_dir["sans.perspectives.calculator"] = os.path.join("calculatorview", 
+#                                "src", "sans", "perspectives", "calculator")
+#package_data['sans.perspectives.calculator'] = ['images/*', 'media/*']
+#packages.extend(["sans.perspectives", "sans.perspectives.calculator"])    
      
 # Data util
-package_dir["data_util"] = "sansutil"
+package_dir["data_util"] = os.path.join("src", "sansutil")
 packages.extend(["data_util"])
 
 # Plottools
-package_dir["danse"] = os.path.join("plottools", "src", "danse")
-package_dir["danse.common"] = os.path.join("plottools", "src", 
-                                           "danse", "common")
-package_dir["danse.common.plottools"] = os.path.join("plottools", 
-                                    "src", "danse", "common", "plottools")
+package_dir["danse"] = os.path.join("src", "danse")
+package_dir["danse.common"] = os.path.join("src", "danse", "common")
+package_dir["danse.common.plottools"] = os.path.join("src", "danse", "common", "plottools")
 packages.extend(["danse", "danse.common", "danse.common.plottools"])
 
@@ -215,12 +213,12 @@
 
 # Sans models
-includedir  = os.path.join("sansmodels", "include")
-igordir = os.path.join("sansmodels", "src", "libigor")
-cephes_dir = os.path.join("sansmodels", "src", "cephes")
-c_model_dir = os.path.join("sansmodels", "src", "c_models")
-smear_dir  = os.path.join("sansmodels", "src", "c_smearer")
-gen_dir  = os.path.join("sansmodels", "src", "c_gen")
-wrapper_dir  = os.path.join("sansmodels", "src", "python_wrapper", "generated")
-model_dir = os.path.join("sansmodels", "src", "sans","models")
+includedir  = os.path.join("src", "sans", "models", "include")
+igordir = os.path.join("src", "sans", "models", "src", "libigor")
+cephes_dir = os.path.join("src", "sans", "models", "src", "cephes")
+c_model_dir = os.path.join("src", "sans", "models", "src", "c_models")
+smear_dir  = os.path.join("src", "sans", "models", "src", "c_smearer")
+gen_dir  = os.path.join("src", "sans", "models", "src", "c_gen")
+wrapper_dir  = os.path.join("src", "sans", "models", "src", "python_wrapper", "generated")
+model_dir = os.path.join("src", "sans","models")
 
 if os.path.isdir(wrapper_dir):
@@ -230,9 +228,9 @@
 else:
     os.makedirs(wrapper_dir)
-sys.path.append(os.path.join("sansmodels", "src", "python_wrapper"))
-from wrapping import generate_wrappers
-generate_wrappers(header_dir = includedir, 
-                  output_dir = model_dir,
-                  c_wrapper_dir = wrapper_dir)
+sys.path.append(os.path.join("src", "sans", "models", "src", "python_wrapper"))
+#from wrapping import generate_wrappers
+#generate_wrappers(header_dir = includedir, 
+#                  output_dir = model_dir,
+#                  c_wrapper_dir = wrapper_dir)
 
 IGNORED_FILES = [".svn"]
@@ -271,13 +269,9 @@
 
 
-package_dir["sans"] = os.path.join("sansmodels", "src", "sans")
+package_dir["sans"] = os.path.join("src", "sans")
 package_dir["sans.models"] = model_dir
-
-package_dir["sans.models.sans_extension"] = os.path.join("sansmodels", "src", 
-                                            "sans", "models", "sans_extension")
-            
+package_dir["sans.models.sans_extension"] = os.path.join("src", "sans", "models", "sans_extension")
 package_data['sans.models'] = [os.path.join('media', "*.*")]
 package_data['sans.models'] += [os.path.join('media','img', "*.*")]
-
 packages.extend(["sans","sans.models","sans.models.sans_extension"])
     
